# Uses of Enum Class
org.springframework.web.util.DefaultUriBuilderFactory.EncodingMode

Packages that use DefaultUriBuilderFactory.EncodingMode
Package
Description
org.springframework.web.util
Miscellaneous web utility classes, such as HTML escaping and cookie handling.

## Uses of DefaultUriBuilderFactory.EncodingMode in org.springframework.web.util

Methods in org.springframework.web.util that return DefaultUriBuilderFactory.EncodingMode
Modifier and Type
Method
Description
`DefaultUriBuilderFactory.EncodingMode`
DefaultUriBuilderFactory.`getEncodingMode()`
Return the configured encoding mode.
`static DefaultUriBuilderFactory.EncodingMode`
DefaultUriBuilderFactory.EncodingMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefaultUriBuilderFactory.EncodingMode[]`
DefaultUriBuilderFactory.EncodingMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.web.util with parameters of type DefaultUriBuilderFactory.EncodingMode
Modifier and Type
Method
Description
`void`
DefaultUriBuilderFactory.`setEncodingMode(DefaultUriBuilderFactory.EncodingMode encodingMode)`
Set the `encoding mode` to use.